Subject: Re: bug#78690: 31.0.50; split string: args out of range with TRIM

From: Michael Heerdegen <[email-masked]>
Date: Thu, 19 Jun 2025 19:43:31 +0200

Eli Zaretskii <[email-masked]> writes:

> If you tell me what is confusing or unclear, I will try to clarify
> that.  I guess after staring at the code as much as I did, I've lost
> the ability to see the confusing parts, beyond the comments I added
> that you saw in the patch.

The comments are actually good.  I got a bit confused because of the
non-functional programming style (the helper lambda `push-one' changes
state that is not local to that helper function), but... it's ok, it's
just a complicated semantics being implemented so it takes some time to
see what is going on where here.  All good.  Along with the comments one
can make the way through the code.

Thanks,

Michael.